<?php
require ("Conexion/Conexion.php");
require('lib/lib.php');
if(!isset($_SESSION['WEB2'])){	
	echo "<script language='JavaScript'>location.href = 'index.php'</script>";
	die();
} else{
	Inactividad();

	if($_POST['NombreGrupo'] != '') {
		if(strlen($_POST['NombreGrupo']) >= 2 && strlen($_POST['NombreGrupo']) <= 50){
			if(preg_match("/^[ a-zA-Z0-9\d.]{2,50}$/i", $_POST['NombreGrupo'])){
				$ClienteID = $_SESSION['ClienteID'];
				$NombreGrupo = strtoupper($_POST['NombreGrupo']);
				$SeccionWebID = Folio('SeccionWebID');
				$Tabla = "Grupo Agregado";
				$InsertGrupo = mssql_query("INSERT INTO SeccionWeb(SeccionWebID, ClienteID, NombreSeccion) VALUES ('$SeccionWebID', '$ClienteID', '$NombreGrupo')");
				RegistroBitacora($_SESSION['ClienteID'], $_SESSION['VehiculoID'], $_SESSION['GasolineroID'], $_SESSION['UsuarioID'], $Tabla, 
				'Grupo', '', $NombreGrupo);
				echo "Creado";		
			}else
				echo "<p class='error'>Solo se aceptan números y letras!</p>";
		}else
			echo "<p class='error'>El Nombre del Grupo esta fuera del rango permitido de caracteres!</p>";
	} else
		echo "<p class='error'>Se requiere el Nombre del Grupo!</p>";
}
?>